<?php
/**
 * Import plugin
 *
 * @package 	CSVI
 * @author 		Roland Dalmulder
 * @link 		http://www.csvimproved.com
 * @copyright 	Copyright (C) 2006 - 2012 RolandD Cyber Produksi
 * @license 	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @version 	$Id: install.php 1996 2012-05-24 15:02:06Z RolandD $
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die;

/**
 * CSVI Import plugin
 */
class plgCsviImport extends JPlugin {

	/**
	 * Constructor
	 *
	 * @access      protected
	 * @param       object  $subject The object to observe
	 * @param       array   $config  An array that holds the plugin configuration
	 */
	public function __construct(& $subject, $config) {
		parent::__construct($subject, $config);
	}
	
	/**
	 * Trigger for the onImportComplete
	 *
	 * $params is an array containing:
	 * action => import or export
	 * component => selected component
	 * operation => selected operation
	 *
	 * @copyright
	 * @author 		RolandD
	 * @todo
	 * @see
	 * @access 		public
	 * @param 		array	$params an array of template options
	 * @return
	 * @since 		1.0
	 */
	public function onImportComplete($params) {
		// Do something here
	}
}
